<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="LINKED_LIST_NODE.html"><font color="#008000">LINKED_LIST_NODE</font></a>[<font color="#008000">E</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"To implement LINKED_LIST[E]. ."</font>;
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_any_linked_list_node</font></strong>:<a href="ANY_LINKED_LIST_NODE.html"><font color="#008000">ANY_LINKED_LIST_NODE</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">item</font></strong>:<font color="#008000">E</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">next</font></strong>:<a href="LINKED_LIST_NODE.html"><font color="#008000">LINKED_LIST_NODE</font></a>[<font color="#008000">E</font>];
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> i:<font color="#008000">E</font> <strong><font color="#0000FF">next</font></strong> n:<a href="LINKED_LIST_NODE.html"><font color="#008000">LINKED_LIST_NODE</font></a>[<font color="#008000">E</font>] :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> i:<font color="#008000">E</font> <strong><font color="#0000FF">next</font></strong> n:<a href="LINKED_LIST_NODE.html"><font color="#008000">LINKED_LIST_NODE</font></a>[<font color="#008000">E</font>] <-
    
  
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="LINKED_LIST_NODE.html"><font color="#008000">LINKED_LIST_NODE</font></a>,<a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_item</font></strong> i:<font color="#008000">E</font> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_next</font></strong> n:<a href="LINKED_LIST_NODE.html"><font color="#008000">LINKED_LIST_NODE</font></a>[<font color="#008000">E</font>] <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_all_with</font></strong> v:<font color="#008000">E</font> <-
  
</body>
</html>

